2019-03-26 21:20 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002048NetSurfRISC OS-specificpublic2015-03-10 10:41
ReporterAlan Richardson 
Assigned ToSteve Fryatt 
SeveritycrashReproducibilitysometimes 
StatusclosedResolutionfixed 
PlatformRisc PCOSRISC OSOS Version4.02
Product Version3.0 
Target VersionFixed in Version3.1 
Summary0002048: Inexplicably NetSurf will say it has a problem and must exit.
DescriptionInexplicably NetSurf will say it has a problem and must exit. This has happened several times but I haven't known how to access the Bug Tracker. I hope this effort is successful
Steps To ReproduceNot known.
Additional InformationI'm running ROS 4.02 on a Risc PC with a StrongARM card and 50 MB RAM and 13 GB hard drive.
TagsNo tags attached.
Fixed in CI build #1659
Reported in CI build #1461
URL of problem page
Attached Files
  • ? file icon NetSLog (18,311 bytes) 2013-12-23 01:43 -
    ? file icon NetSLog (18,311 bytes) 2013-12-23 01:43 +

-Relationships
parent of 0002055closedJohn-Mark Bell ares_cancel() does not cope with resolver jobs being cancelled within a callback 
+Relationships

-Notes
Vincent Sanders

~0000107

Vincent Sanders (administrator)

Please can you try current CI build (from http://ci.netsurf-browser.org/builds/ )

If the issue persists can you get back to us with the version you tried and as much information about what you were doing when the crash occurred as possible.
Alan Richardson

~0000158

Alan Richardson (reporter)

Thanks. I upgraded to 1543 after receiving your note. Log attached refers to this release. A similar sort of inexplicable crash.
I have now downloaded 1602.
John-Mark Bell

~0000159

John-Mark Bell (administrator)

Please do try to include as much information as possible about what you were doing when the crash occurred. Quite often, this additional context is invaluable to help us track down issues.

As it happens the most recent issue is different from the one you initially reported. I've cloned it into a new issue, so we can track it separately.
Vincent Sanders

~0000170

Vincent Sanders (administrator)

The new issue you reported as part of this bug has been resolved in the current CI builds.

Can you check if this original problem is still reproducible now?
Alan Richardson

~0000177

Alan Richardson (reporter)

I haven't had any crashes for a while now. I updated Fireworkz a short while ago to the 32-bit compatible version. It used to crash and may have also been affecting NetSurf. No problems with either now. Thanks.
Vincent Sanders

~0000178

Vincent Sanders (administrator)

The original reporter can no longer reproduce so I am marking as resolved. Although I cannot identify a specific revision which fixed the issue we appear to have made sufficient general improvements.
Vincent Sanders

~0000673

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-23 01:43 Alan Richardson New Issue
2013-12-23 01:43 Alan Richardson File Added: NetSLog
2013-12-23 13:26 Vincent Sanders Note Added: 0000107
2013-12-23 13:26 Vincent Sanders Status new => feedback
2013-12-23 13:26 Vincent Sanders OS => RISc OS
2013-12-23 13:26 Vincent Sanders OS Version => 4.02
2013-12-23 13:26 Vincent Sanders Platform => Risc PC
2014-01-04 15:29 Daniel Silverstone Reported in CI build # => 1461
2014-01-04 15:30 Daniel Silverstone Assigned To => Steve Fryatt
2014-01-04 15:30 Daniel Silverstone OS RISc OS => RISC OS
2014-01-08 21:52 Alan Richardson File Added: NS_log
2014-01-08 21:55 Alan Richardson Note Added: 0000158
2014-01-08 21:55 Alan Richardson Status feedback => assigned
2014-01-08 22:21 John-Mark Bell Note Added: 0000159
2014-01-08 22:24 John-Mark Bell Issue cloned: 0002055
2014-01-08 22:26 John-Mark Bell File Deleted: NS_log
2014-01-24 15:26 Vincent Sanders Relationship added parent of 0002055
2014-01-24 15:29 Vincent Sanders Note Added: 0000170
2014-01-24 15:29 Vincent Sanders Status assigned => feedback
2014-01-26 08:44 Alan Richardson Note Added: 0000177
2014-01-26 08:44 Alan Richardson Status feedback => assigned
2014-01-26 10:16 Vincent Sanders Fixed in CI build # => 1659
2014-01-26 10:16 Vincent Sanders Note Added: 0000178
2014-01-26 10:16 Vincent Sanders Status assigned => resolved
2014-01-26 10:16 Vincent Sanders Resolution open => fixed
2014-01-26 10:16 Vincent Sanders Fixed in Version => 3.1
2015-03-10 10:41 Vincent Sanders Note Added: 0000673
2015-03-10 10:41 Vincent Sanders Status resolved => closed
+Issue History